%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define pname 		prefermenu

Name: vdr-%pname
Version: 0.6.2
Release: alt4

Summary: Preferred channels menu plugin for VDR
Summary(ru_RU.UTF-8): Меню избранных каналов для VDR
License: GPL
Group: Video
URL: http://www.olivierjacques.com/vdr/prefermenu
Source0: %name-%version.tgz
Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
PreferMenu is a plugin that implements a preferred channel menu.
It makes it easy to recall (switch to) your favorite channels.

%description -l ru_RU.UTF-8
PreferMenu - модуль расширения, предоставляющий меню закладок,
которое позволяет легко переключиться на любимый канал.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.6.2-alt4
- vdr-1.3.15

* Fri Oct 29 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.6.2-alt3
- vdr-1.3.14

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.6.2-alt2
- Buildfix

* Tue Oct 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.6.2-alt1
- 0.6.2, Translation fixed

* Tue Feb 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.4-alt1
- 0.5.4, Translation update

* Fri Jan 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.5.3-alt1
- Initial build
